#!/bin/sh

# IMPORTANT REMARK 1: Leave a space between the arguments and their values. 
# For example: ./script.sh -s <value> -n <value> AND NOT ./script.sh -s<value> -n<value>

# IMPORTANT REMARK 2: Respect the order when you assign tha arguments.
# This is the correct order: ./script.sh -c <value> -r <value> -x <value> -y <value> -n <value> -s <value> -l <value> -b <value>
# ./script.sh -h for help
# By doing so, your directories will be all named with the same way.

#--------------------------------
if [ "$1" = "-h" ]; then
    ./script -h 
else 
    para1=_c$2
    para2=_r$4
    para3=_x$6
    para4=_y$8
    para5=_s${10}
    para6=_l${12}
    para7=_b${14}
    para8=_b${16}

    temp=sim_result
    sim_result=$temp$para1$para2$para3$para4
    mkdir $sim_result

    ./script.exe $1 $2 $3 $4 $5 $6 $7 $8 -d $sim_result $9 ${10} ${11} ${12} ${13} ${14} ${15} ${16}
fi